#!/bin/sh
# PBI building script
# This will run after your port build is complete
# Build your PBI here, and exit 0 on success, or exit 1 on failure.
##############################################################################
# Available Variables
#             PBIDIR = The location of where you can populate your PBI directory
#            PORTVER = Version number of the port we used to build
#  PBI_TARGETFULLDIR = The target location of the installed application (/Programs/FireFox)
#      PBI_TARGETDIR = The target directory name of the installed application (FireFox)
#         PBI_CURDIR = The current location of where you can populate your PBI directory
#        PBI_VERSION = Version number of this PBI
#          MODULEDIR = The location of the module directory for this PBI
##############################################################################

# Need to set the correct esdl path and add the -noinput option to the startup script
#
ESDLDIR=`find ${PBIDIR}/lib/erlang/lib -type d -maxdepth 1 -name "esdl*" -exec basename {} \;`

if [ "${ESDLDIR}" = "" ]
then
  echo "Can not find Erlang SDL library esdl."
  exit 1
fi

sed -e "s,esdl,${ESDLDIR}," -e "s,-smp,-noinput -smp," ${PBIDIR}/bin/wings > /tmp/wings
mv /tmp/wings ${PBIDIR}/bin/wings
chmod 555 ${PBIDIR}/bin/wings
